Bug 1129855 - libnfsidmap: respect Nobody-User/Nobody-Group
Summary: libnfsidmap: respect Nobody-User/Nobody-Group
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libnfsidmap
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 19:27 UTC by Steve Dickson
Modified: 2014-08-27 01:36 UTC (History)
1 user (show)

Fixed In Version: libnfsidmap-0.26-0.0.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-27 01:36:13 UTC


Attachments (Terms of Use)

Description Steve Dickson 2014-08-13 19:27:42 UTC
Description of problem:

Previous behavior of libnfsidmap was to do a name lookup of
nobody@DEFAULTDOMAIN (for both user and group), which does not match
the behavior of rpc.idmapd.

This patch makes libnfsidmap respect Nobody-User/Nobody-Group for
lookups, thus making the nfsidmap utility properly handle the case if
nobody@DEFAULTDOMAIN does not directly map to any user/group on the
system.

How reproducible:
100%

Steps to Reproduce:
1. Uncomment Nobody-User in /etc/idmapd.conf and set it to a value
2. Do a NFSv4 mount.
3. See what value is used when there is no valid id/gid mapping

Additional info:

commit f139de79d91e7773b5b98fe5aca5570f77c7aee9
Author: Christian Seiler <christian@iwakd.de>
Date:   Wed Aug 13 12:42:14 2014 -0400

    libnfsidmap: respect Nobody-User/Nobody-Group

Comment 1 Fedora Update System 2014-08-13 20:52:21 UTC
libnfsidmap-0.26-0.0.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libnfsidmap-0.26-0.0.fc20

Comment 2 Fedora Update System 2014-08-16 00:28:46 UTC
Package libnfsidmap-0.26-0.0.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libnfsidmap-0.26-0.0.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9444/libnfsidmap-0.26-0.0.fc20
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2014-08-27 01:36:13 UTC
libnfsidmap-0.26-0.0.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.